Skip to main content
POST
/
api2
/
v2
/
transMemories
/
{transMemoryUid}
/
export
Export translation memory
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v2/transMemories/{transMemoryUid}/export \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "callbackUrl": "<string>",
  "exportTargetLangs": [
    "<string>"
  ]
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v2/transMemories/{transMemoryUid}/export"

payload = {
"callbackUrl": "<string>",
"exportTargetLangs": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({callbackUrl: '<string>', exportTargetLangs: ['<string>']})
};

fetch('https://cloud.memsource.com/web/api2/v2/transMemories/{transMemoryUid}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "asyncExport": {
    "exportTargetLangs": [
      "<string>"
    ],
    "transMemory": {}
  },
  "asyncRequest": {
    "asyncResponse": {
      "dateCreated": "2023-11-07T05:31:56Z",
      "errorCode": "<string>",
      "errorDesc": "<string>",
      "errorDetails": [
        {
          "args": {},
          "code": "<string>",
          "message": "<string>"
        }
      ],
      "warnings": [
        {
          "args": {},
          "code": "<string>",
          "message": "<string>"
        }
      ]
    },
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "parent": "<unknown>",
    "project": {
      "name": "<string>",
      "uid": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

transMemoryUid
string
required

Body

application/json
callbackUrl
string
exportTargetLangs
string[]

Response

successful operation

asyncExport
object
asyncRequest
object